Page MenuHomeFreeBSD

Preserve mount flags in smbfs.
ClosedPublic

Authored by trasz on Nov 19 2014, 9:01 PM.

Details

Summary

Fix smbfs to not zero out statfs f_flags field. Previously, this
made getmntinfo() return empty flags for smbfs filesystems when
called with MNT_WAIT. It's not visible with mount(8), since it uses
MNT_NOWAIT, but broke autounmount(8) operation.

Diff Detail

Repository
rS FreeBSD src repository
Lint
Lint Skipped
Unit
Unit Tests Skipped

Event Timeline

trasz updated this revision to Diff 2466.Nov 19 2014, 9:01 PM
trasz retitled this revision from to Preserve mount flags in smbfs..
trasz updated this object.
trasz edited the test plan for this revision. (Show Details)
trasz added a reviewer: kib.Nov 19 2014, 9:02 PM
kib accepted this revision.Nov 20 2014, 6:29 PM
kib edited edge metadata.

Unconditional zeroing of f_flags seems to be present from the initial commit of smbfs.
I have no idea why it was done this way.

I do not see anything wrong with the patch, but I equally know nothing about smbfs.

This revision is now accepted and ready to land.Nov 20 2014, 6:29 PM
trasz closed this revision.Nov 21 2014, 6:22 AM
trasz updated this revision to Diff 2488.

Closed by commit rS274784 (authored by @trasz).